Name:		f2fs-tools
Version:	1.16.0
Release:    1%{?dist}
Summary:	Tools for Flash-Friendly File System (F2FS)
License:	GPLv2+
URL:		http://sourceforge.net/projects/f2fs-tools/
Source0:	http://git.kernel.org/cgit/linux/kernel/git/jaegeuk/f2fs-tools.git/snapshot/%{name}-%{version}.tar.gz

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	uuid-devel
BuildRequires:	libuuid-devel
BuildRequires:	libtool
BuildRequires:	libselinux-devel
BuildRequires:	libblkid-devel
BuildRequires:	make

%description
NAND flash memory-based storage devices, such as SSD, and SD cards,
have been widely being used for ranging from mobile to server systems. 
Since they are known to have different characteristics from the 
conventional rotational disks,a file system, an upper layer to 
the storage device, should adapt to the changes
from the sketch.

F2FS is a new file system carefully designed for the 
NAND flash memory-based storage devices. 
We chose a log structure file system approach,
but we tried to adapt it to the new form of storage. 
Also we remedy some known issues of the very old log
structured file system, such as snowball effect 
of wandering tree and high cleaning overhead.

Because a NAND-based storage device shows different characteristics 
according to its internal geometry or flash memory management 
scheme aka FTL, we add various parameters not only for configuring 
on-disk layout, but also for selecting allocation
and cleaning algorithms.

%package devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}
%description devel
This package contains the libraries needed to develop applications
that use %{name}

%prep
%autosetup
sed -i 's/AC_PROG_LIBTOOL/LT_INIT/' configure.ac

%build
autoreconf --install
%configure --disable-static
%{make_build}


%install
%{make_install}
install -m 644 mkfs/f2fs_format_utils.h %{buildroot}%{_includedir}
find %{buildroot} -type f -name "*.la" -delete


%files
%license COPYING
%doc AUTHORS ChangeLog
%{_sbindir}/mkfs.f2fs
%{_sbindir}/fibmap.f2fs
%{_sbindir}/fsck.f2fs
%{_sbindir}/dump.f2fs
%{_sbindir}/parse.f2fs
%{_sbindir}/defrag.f2fs
%{_sbindir}/resize.f2fs
%{_sbindir}/sload.f2fs
%{_sbindir}/f2fs_io
%{_sbindir}/f2fscrypt
%{_sbindir}/f2fslabel

%{_libdir}/*.so.*
%{_mandir}/man8/*f2*.gz

%files devel
%{_includedir}/*.h
%{_libdir}/*.so

%changelog
* Tue Aug 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.16.0-1
- initial build
